<?xml version="1.0" encoding="UTF-8"?>
<interface>
    <template class="MemoryCardsEditScene" parent="GtkApplicationWindow">
        <property name="title">Memory cards edit</property>
        <property name="height-request">1000</property>
        <property name="width-request">1000</property>
        <child>
            <object class="GtkBox" id="content">
                <property name="orientation">vertical</property>
                <property name="valign">GTK_ALIGN_FILL</property>
                <property name="halign">GTK_ALIGN_FILL</property>
                <child>
                    <object class="GtkBox" id="search_bar">
                        <property name="orientation">horizontal</property>
                        <property name="valign">GTK_ALIGN_START</property>
                        <property name="halign">GTK_ALIGN_FILL</property>
                        <child>
                            <object class="GtkSearchEntry" id="search_entry">
                                <property name="placeholder-text">Find a card</property>
                                <property name="halign">GTK_ALIGN_FILL</property>
                                <property name="valign">GTK_ALIGN_FILL</property>
                                <property name="hexpand">true</property>
                            </object>
                        </child>
                        <child>
                            <object class="GtkButton" id="add_button">
                                <property name="label">+</property>
                                <property name="halign">GTK_ALIGN_END</property>
                                <property name="valign">GTK_ALIGN_FILL</property>
                            </object>
                        </child>
                    </object>
                </child>
                <child>
                    <object class="GtkScrolledWindow" id="cards_scrolled_window">
                        <property name="halign">GTK_ALIGN_FILL</property>
                        <property name="valign">GTK_ALIGN_FILL</property>
                        <property name="vexpand">true</property>
                        <child>
                            <object class="GtkListView" id="cards_container">
                                <property name="valign">GTK_ALIGN_FILL</property>
                                <property name="halign">GTK_ALIGN_FILL</property>
                                <!-- <property name="orientation">vertical</property> -->
                                <property name="hexpand">true</property>
                                <property name="hexpand-set">true</property>
                                <!-- <property name="homogeneous">true</property> -->
                                <property name="halign">GTK_ALIGN_FILL</property>
                                <property name="valign">GTK_ALIGN_FILL</property>
                            </object>
                        </child>
                    </object>
                </child>
                <child>
                    <object class="GtkButton" id="back_button">
                            <property name="label">go back</property>
                    </object>
                </child>
            </object>
        </child>
    </template>
</interface>